# load package and data
library(ggplot2)
library(ggExtra)
require(gridExtra)
library(directlabels)


# Read data
csv <- read.csv(file="/Users/cimmino/Desktop/STF-experiments/500-50to50/stf-results.csv", header=TRUE, sep=",")

q = ggplot() +
  geom_line(data = csv, aes(x = limits, y = W3C1, color = "#E10FCB"), size=1) +
  geom_line(data = csv, aes(x = limits, y = W3C2, color = "#183437"),  size=1) +
  geom_line(data = csv, aes(x = limits, y = W3C3, color = "#B14960"), size=1) +
  geom_line(data = csv, aes(x = limits, y = W3C4, color = "#0A871D"), size=1) + 
  geom_line(data = csv, aes(x = limits, y = W3C5, color = "#769F2E"), size=1) + 
  geom_line(data = csv, aes(x = limits, y = W3C6, color = "#71ADE0"), size=1) + 
  geom_line(data = csv, aes(x = limits, y = W3C7, color = "#4F0BF5"), size=1) + 
  geom_line(data = csv, aes(x = limits, y = W3C8, color = "#A8C8C7"), size=1) + 
  geom_line(data = csv, aes(x = limits, y = W3C9, color = "#875A8A"), size=1) + 
  geom_line(data = csv, aes(x = limits, y = W3C10, color = "#7EC9CF"), size=1) + 
  geom_line(data = csv, aes(x = limits, y = W3C11, color = "#D679FD"), size=1) + 
  geom_line(data = csv, aes(x = limits, y = W3C12, color = "#0A449F"), size=1) + 
  scale_color_manual(name = "Colors",  values = c("#E10FCB" = "SQ01", "#183437" = "SQ02", "#B14960" = "SQ03", "#0A871D" = "SQ04","#769F2E" = "SQ05", "#71ADE0" = "SQ06", "#4F0BF5" = "SQ07", "#A8C8C7" = "SQ08", "#875A8A" = "SQ09", "#7EC9CF" = "SQ10", "#D679FD" = "SQ11", "#0A449F" = "SQ12")) +
  xlab('Number of maximum semantic descriptors identifiers returned') +
  ylab('Query answering times (s)') #+ scale_y_continuous(trans = 'log2')
  
q <- q +  theme_linedraw() +  theme(legend.position="top") 

print(q)
# p = ggplot() + 
#   geom_line(data = csv, aes(x = limits, y = M2M1), color = "#E10FCB", size=1) +
#   geom_line(data = csv, aes(x = limits, y = M2M2), color = "#183437", size=1) +
#   geom_line(data = csv, aes(x = limits, y = M2M3), color = "#B14960", size=1) +
#   geom_line(data = csv, aes(x = limits, y = M2M4), color = "#0A871D", size=1) +
#   geom_line(data = csv, aes(x = limits, y = M2M5), color = "#769F2E", size=1) +
#   geom_line(data = csv, aes(x = limits, y = M2M6), color = "#71ADE0", size=1) +
#   geom_line(data = csv, aes(x = limits, y = M2M7), color = "#4F0BF5", size=1) +
#   geom_line(data = csv, aes(x = limits, y = M2M8), color = "#A8C8C7", size=1) +
#   geom_line(data = csv, aes(x = limits, y = M2M9), color = "#875A8A", size=1) +
#   geom_line(data = csv, aes(x = limits, y = M2M10), color = "#7EC9CF", size=1) +
#   geom_line(data = csv, aes(x = limits, y = M2M11), color = "#D679FD", size=1) +
#   geom_line(data = csv, aes(x = limits, y = M2M12), color = "#0A449F", size=1) +
#   xlab('Number of maximum semantic descriptors identifiers returned') +
#   ylab('Query answering times (s)') + scale_y_continuous(trans = 'log2')
# 
# p <- p +  theme_linedraw()

#grid.arrange(p, q, ncol=2)