import requests
import json
import time
import matplotlib.pyplot as plt
import pandas as pd
import numpy as np
from os import listdir
from os.path import isfile, join
import rdflib

results = pd.read_csv("./stf-response-results.csv")
query_count = np.array(list(range(1,13)))
column = 0
plt.xlabel('Nº of semantic descriptors involved')
plt.ylabel('Query answering time (seconds)')
fig, axs = plt.subplots(4, 3, sharey=True,sharex=True)
for count in query_count:
	oneM2M = results["W3C-"+str(count)]

	number = str(count)
	if len(number) == 1:
		number = "0"+number
	row = (count-1) % 4
	column = column % 3
	axs[row, column].plot(results['limits'], oneM2M, legend(loc="SRD"+number))
	axs[row, column].set_title('Requests made for SRD'+number)
	column += 1
	
plt.show()